%global pkgvers 0
%global scdate0 20240404
%global schash0 b564b41623b6a105d689959ae6991e0b69472970
%global branch0 develop
%global source0 https://github.com/chipmuenk/pyfda.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           pyfda
Version:        %(curl -s https://raw.githubusercontent.com/chipmuenk/pyfda/develop/pyfda/version.py | grep _version_ | cut -d"'" -f2 | sed 's|[a-z]||g')
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Python Filter Design Analysis Tool
License:        MIT
BuildArch:      noarch
URL:            https://github.com/chipmuenk/pyfda

BuildRequires:  make git python3-devel python3-setuptools python3-sphinx python3-sphinx_rtd_theme
BuildRequires:  config(latexmk) tex(tex) tex(latex) tex(fncychap.sty) tex(tabulary.sty) tex(framed.sty)
BuildRequires:  tex(wrapfig.sty) tex(upquote.sty) tex(capt-of.sty) tex(needspace.sty) tex(titlesec.sty)
BuildRequires:  tex(tgtermes.sty)

%description
pyFDA is a GUI based tool in Python / Qt for analysing and designing discrete
time filters. When the migen module is installed, fixpoint implementations
(for some filter types) can be simulated and exported as synthesizable
Verilog netlists.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%if 0%{?rhel} == 8
sed -i 's|find_namespace_packages|find_packages|g' setup.py
%endif
%{py3_build}
pushd docs
cp Makefile_bak Makefile || true
make html
make latexpdf LATEXMKOPTS="-f -interaction=nonstopmode" || true
popd

%install
%{py3_install}
install -m0644 pyfda/module_versions.md %{buildroot}/%{python3_sitelib}/%{name}/
# remove spurious
rm -rf %{buildroot}/%{python3_sitelib}/docs
rm -rf %{buildroot}/%{python3_sitelib}/%{name}/tests


%files
%doc README.md
%doc docs/build/html
%doc docs/build/latex/pyfda.pdf
%license LICENSE.md
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Sat Feb 06 2021 Cristian Balint <cristian.balint@gmail.com>
- update github release
